## haskell-binary-search 2.0.0

=== debian/changelog ===
haskell-binary-search (2.0.0-2) unstable; urgency=medium

  * Post-NEW source-only upload

 -- Scott Talbert <swt@techie.net>  Sat, 29 Mar 2025 20:47:19 -0400

haskell-binary-search (2.0.0-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Mon, 24 Mar 2025 22:23:56 -0400
