=== debian/control ===
Source: haskell-binary-search
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hspec-dev (>= 1.3),
 libghc-hspec-prof,
 libghc-quickcheck2-dev (>= 2.5),
 libghc-quickcheck2-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.7.0
Homepage: https://hackage.haskell.org/package/binary-search
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-binary-search
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-binary-search]
X-Description: Binary and exponential searches
 __Introduction__
 .
 This package provides varieties of binary search functions.
 c.f.  "Numeric.Search" for the examples.
 .
 These search function can search for pure and monadic predicates, of type:
 .
 > pred :: Eq b => a -> b
 > pred :: (Eq b, Monad m) => a -> m b
 .
 The predicates must satisfy that the domain range for any codomain value
 is continuous; that is, @∀x≦y≦z. pred x == pred z ⇒ pred y == pred x@ .
 .
 For example, we can address the problem of finding the boundary
 of an upward-closed set of integers, using a combination
 of exponential and binary searches.
 .
 Variants are provided
 for searching within bounded and unbounded intervals of
 both 'Integer' and bounded integral types.
 .
 The package was created by Ross Paterson, and extended
 by Takayuki Muranushi, to be used together with SMT solvers.
 .
 __The Module Structure__
 .
 *  "Numeric.Search" provides the generic search combinator, to search for pure
 and monadic predicates.
 .
 *  "Numeric.Search.Bounded" ,  "Numeric.Search.Integer" ,
 "Numeric.Search.Range" provides the various specialized searchers, which means
 less number of function arguments, and easier to use.
 .
 <<https://travis-ci.org/nushio3/binary-search.svg?branch=master>>

Package: libghc-binary-search-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-binary-search-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-binary-search-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
